.team-section {
  padding: 40px;
  text-align: center;
  font-family: 'Quicksand', sans-serif;
  .team-section-title {
    position: relative;
    display: inline-block;
    margin-bottom: 30px;
    font-size: 3rem;
    font-weight: 700;
    color: #BDD248;
  }
  
  .team-section-title:hover::before,
  .team-section-title:hover::after {
    width: 60%;
    transition: width 0.3s ease;
  }
  .team-description {
    font-size: 1.2rem;
    line-height: 1.6;
    color: #333;
    text-align: justify;
    text-justify: inter-word;
    background: #ffffff;
    padding: 25px;
    margin: 0 auto 30px;
    border-left: 4px solid #9a9c9c;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
    border-radius: 8px; /* Add some border radius for a softer look */
  }
  
  .team-description::before,
  .team-description::after {
    content: '';
    position: absolute;
    top: 0;
    width: 10px;
    height: 100%;
    z-index: -1; /* Move the pseudo-elements behind the content */
  }
  
  .team-description::before {
    left: -4px; /* Adjust the position to align with the border */
    background-color: #84fab0;
  }
  
  .team-description::after {
    right: -4px; /* Adjust the position to align with the border */
    background-color: #8fd3f4;
  }
  
  .team-description:hover::before,
  .team-description:hover::after {
    width: 20px;
  }
  
  .team-description h3 {
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 1rem;
    color: #333;
  }
  
  .team-description p {
    margin-bottom: 1rem;
  }
  
  .team-description ul {
    list-style-position: inside;
    padding-left: 0;
  }
  
  .team-description li {
    margin-bottom: 0.5rem;
  }
  
  .team-description a {
    text-decoration: underline;
    color: #007bff;
    transition: color 0.3s;
  }
  
  .team-description a:hover {
    color: #0056b3;
  }
  
  /* Team Section Styles */
  .team-section {
    background-color: #f9f9f9;
    padding: 40px;
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  }
  
  /* Responsive Styles */
  @media (max-width: 768px) {
    .team-member-card {
      flex-basis: calc(50% - 30px);
    }
  

    h3 {
      font-size: 1.4rem;
      font-weight: 500;
      font-family: 'Courier New', Courier, monospace;
      strong {
        font-weight: 700;
      }
    }

    p {
      font-size: 1rem;
      color: #666;
      font-family: Verdana, Geneva, Tahoma, sans-serif
    }
  }

  .team-grid {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    
  }
  
  .team-members {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: stretch;
    gap: 30px;
  }
  

  .team-member-card {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 250px;
    background-color: #ffffff;
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
    &:hover {
      transform: translateY(-5px);
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
    }
    &.team-lead {
      border: 2px solid #bdd248;
    }

    &.technical-lead{
      border: 2px solid #9a9c9c;
    }
    .team-badge {
      position: absolute;
      top: -10px;
      left: -10px;
      background-color: #333;
      color: white;
      padding: 5px 10px;
      border-radius: 5px;
      font-size: 0.8em;
      z-index: 1;
      border: 3px solid #bdd248;
    }

    .circular-image {
      width: 100px;
      height: 100px;
      border-radius: 50%;
      overflow: hidden;
      margin: 0 auto;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);

      img {
        width: 100%;
        height: auto;
        border-radius: 50%;
        object-fit: cover;
      }
    }

    .team-member-info {
      text-align: center;
      padding: 15px 0;

      .team-member-name {
        display: flex;
        align-items: center;
        font-size: 1.2rem;
        font-weight: 600;
        margin-bottom: 5px;
      }
      
      .team-member-name mat-icon {
        margin-right: 5px;
        font-size: 1.4rem; /* Ajustez la taille de l'icône selon vos besoins */
      }
      .team-member-phone {
        display: flex;
        font-weight: 600;
        margin-bottom: 5px;
      }
      p{
        
        align-items: center;
      }
      .team-member-phone mat-icon {
        margin-right: 5px;
        font-size: 1.4rem; /* Ajustez la taille de l'icône selon vos besoins */
      }
      
      
      .team-member-bio {
        display: flex;
        align-items: center;  /* Vertically aligns the child items in the center */
        justify-content: center;  /* Horizontally aligns the child items in the center */
        font-size: 0.9rem;
        color: #666;
      
        img {
          width: 24px;
          height: 24px;
          object-fit: contain;  /* Ensures the image keeps its aspect ratio */
        }
      }
      
      .team-member-bio mat-icon {
        margin-right: 5px;
        font-size: 1.2rem; /* Ajustez la taille de l'icône selon vos besoins */
      }
      
      .team-member-bio a {
        color: #007bff;
        text-decoration: none;
        font-weight: 500;
        
      }
      
      .team-member-bio a:hover {
        text-decoration: underline;
      }
      
      
    }
    .linkedin-container {
      display: flex;
      justify-content: center; /* Center the LinkedIn icon */
      align-items: center;

      .linkedin-link {
        display: flex;
        align-items: center;

        img {
          width: 103px; /* Increase the size of the LinkedIn icon */
          height: 103px;
          object-fit: contain;
        }
      }
    }
    .team-member-actions {
      display: flex;
      justify-content: space-evenly;

      button {
        background: none;
        border: none;
        padding: 0;
        margin: 0;
        cursor: pointer;
        transition: color 0.2s ease;
      }
    }
  }

  .add-employee-button {
    margin-top: 30px;

    button {
      background-color: #BDD248;
      color: white;

      &:hover {
        background-color: darken(#BDD248, 10%);
      }
    }
  }

  .team-filter {
    margin-top: 30px;

    .mat-form-field {
      width: 100%;
    }
  }
}

.mat-paginator {
  margin-top: 30px;
  background-color: transparent;
  color: #333;
}
